Public Endpoints
These endpoints are publicly accessible without authentication. Use them to display information in your UI before authentication.
Get Supported Fiat Currencies
Retrieve the list of fiat currencies supported for checkout payments.
GET /public/fiat-currencies
Response
{
"ok": true,
"data": [
{
"code": "USD",
"symbol": "$",
"name": "US Dollar",
"decimalPlaces": 2,
"coinGeckoId": "usd"
},
{
"code": "KRW",
"symbol": "W",
"name": "Korean Won",
"decimalPlaces": 0,
"coinGeckoId": "krw"
},
{
"code": "EUR",
"symbol": "E",
"name": "Euro",
"decimalPlaces": 2,
"coinGeckoId": "eur"
}
]
}
Fields
| Field | Type | Description |
|---|---|---|
code | string | ISO 4217 currency code |
symbol | string | Currency symbol |
name | string | Full currency name |
decimalPlaces | number | Standard decimal places for display |
coinGeckoId | string | CoinGecko API identifier |
Get Exchange Rates
Retrieve current exchange rates for stablecoins.
GET /public/exchange-rates
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
fiatCurrency | string | No | Filter by currency code (e.g., USD, KRW) |
Response (All Rates)
{
"ok": true,
"data": {
"rates": {
"USDC": {
"USD": "1.0",
"KRW": "1350.50",
"EUR": "0.92"
},
"USDT": {
"USD": "1.001",
"KRW": "1351.20",
"EUR": "0.921"
}
},
"timestamp": "2026-01-30T10:30:00.000Z",
"fiatCurrencies": [
{ "code": "USD", "symbol": "$", "name": "US Dollar" }
]
}
}